﻿using System.Data;

namespace TestProject
{
    /// <summary>
    /// 샘플 데이터
    /// </summary>
    public class SampleData
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 데이터 테이블
        /// </summary>
        private static DataTable _dataTable = new DataTable();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터 - Data

        /// <summary>
        /// 데이터
        /// </summary>
        public static DataView Data
        {
            get
            {
                if(_dataTable.Rows.Count == 0)
                {
                    CreateSampleData();
                }

                return _dataTable.DefaultView;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 샘플 데이터 생성하기 - CreateSampleData()

        /// <summary>
        /// 샘플 데이터 생성하기
        /// </summary>
        private static void CreateSampleData()
        {
            _dataTable.Columns.Add("col1");
            _dataTable.Columns.Add("col2");

            _dataTable.Rows.Add(new object[] { 1, "one"   });
            _dataTable.Rows.Add(new object[] { 2, "two"   });
            _dataTable.Rows.Add(new object[] { 3, "three" });
            _dataTable.Rows.Add(new object[] { 4, "four"  });
            _dataTable.Rows.Add(new object[] { 5, "five"  });
        }

        #endregion
    }
}